@import "../../../assets/scss/global";

.sign-up-success-wrapper {
    display: flex;
    flex-direction: column;
    height: 100%;
    width: 100%;
    row-gap: 20px;

    @include largeScreen {
        padding: 3rem 1.5rem;
        width: 86%;
        justify-content: center;
    }

    @include wideScreen{
        width: 60%;
    }

    .banner-success {
        background-image: url("/images/authentication/bg-success-top-mobile.png"), url("/images/authentication/bg-success-bottom-mobile.png");
        background-repeat: no-repeat;
        background-position: top left, bottom 10% right 5%;
        background-origin: border-box;
        min-height: 250px;

        img {
            width: 100%;
        }

    }

    .top {
        padding: 3rem 22px 2rem;
        margin: 0 auto;
        text-align: center;
        @include largeScreen {
            padding: 0;
            text-align: initial;
            margin: initial;
        }

        svg {
            width: 72px;
            height: 20px;
            margin-bottom: 10px;

            @include largeScreen {
                width: initial;
                height: initial;
            }
        }

        h3 {
            font-weight: 700;
            font-size: 24px;
            line-height: 36px;
            white-space: pre-line;
            color: #000000;

            @include largeScreen {
                font-size: 40px;
                line-height: 60px;
            }
        }

        p {
            line-height: 24px;
            white-space: pre-line;
            font-weight: 500;
            font-size: 16px;
            color: $dark-color;
            max-width: 470px;
            text-align: left;
        }
    }

    .form {
        padding: 0 1.5rem;
        @include largeScreen {
            padding: 3rem 1.5rem;
        }
        display: flex;
        justify-content: center;

        button {
            width: 220px;
        }
    }
}